Subject: Re: [O] bug#14379: bug#14379: Several Org source files cannot be loaded in isolation

From: ASSI <[email-masked]>
Date: Tue, 14 May 2013 07:23:42 +0200

On Monday 13 May 2013, 15:32:45, Eric Schulte wrote:
> I'm still getting an error with the following.
> 
>     $ emacs -batch -l lisp/ob-C.el
>     Symbol's value as variable is void: org-babel-tangle-lang-exts

Depending on which Emacs version you use and whether, where and how Org 8 is 
installed and initialized, you'll need something like

$ emacs -Q -batch -l org8-init.el -l lisp/ob-C.el

for testing, to avoid pulling in the wrong autoloads.  This won't be a 
problem once Org 8 is integrated into Emacs, but you need to be careful with 
standalone Org.

> I can eliminate the error if I remove
> 
>   (defvar org-babel-tangle-lang-exts)
> 
> from ob-C.el, and add an explicit require to ob-tangle.  I have no idea
> why the explicit require works, but requiring /through/ ob.el does not
> work.  I can make these changes if it is important to be able to load
> these source files individually.

I'll test that again once more to be sure, but this should really be fixed 
already.

Regards,
Achim.
-- 
+<[Q+ Matrix-12 WAVE#46+305 Neuron microQkb Andromeda XTk Blofeld]>+

DIY Stuff:
http://Synth.Stromeko.net/DIY.html